> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kalent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove candidate from sourcing

> Remove a candidate from a sourcing flow (sets status to NOT_RETAINED).

<Card title="First time? Set up Authentication" icon="key" href="/authentication">
  Learn how to authenticate your API requests with your API key.
</Card>

Removes a candidate from a sourcing flow by setting its status to **`NOT_RETAINED`**. The candidate row is kept (not hard-deleted): it is excluded from the active pipeline and any active outreach tasks are cancelled. This is equivalent to calling [Update candidate status](/api-reference/update-candidate-status) with `statusHandle: "NOT_RETAINED"`.

## Path parameters

<ParamField path="candidateId" type="string" required>
  The candidate id to remove.
</ParamField>

## Response

When `success` is `true`, `data` includes `candidateId`, `talentId`, `sourcingId`, `statusHandle` (`NOT_RETAINED`), `updatedAt`, and `removed: true`.

## Errors

| Code                 | HTTP |
| -------------------- | ---- |
| `not_found`          | 404  |
| `method_not_allowed` | 405  |
| `internal_error`     | 500  |

```bash theme={null}
curl -X DELETE https://app.kalent.ai/api/v1/candidates/CANDIDATE_ID \
  -H "x-api-key: YOUR_API_KEY"
```
